import unittest

import Matcher

class MatcherTestCase(unittest.TestCase):
	def setUp(self):
		self.s = "aaaaabcdefghij"

	def test1(self):
		m = Matcher.Matcher(self.s, "def")
		self.assertEquals(m.match(10000), 7)

	def test2(self):
		m = Matcher.Matcher(self.s, "ij")
		self.assertEquals(m.match(10000), 12)

	def test3(self):
		m = Matcher.Matcher(self.s, "ijk")
		self.assertEquals(m.match(10000), None)

	def test4(self):
		m = Matcher.Matcher(self.s, "aaaaa")
		self.assertEquals(m.match(10000), 0)
		self.assertEquals(m.match(10000), None)

	def test5(self):
		m = Matcher.Matcher(self.s, "aaaa")
		self.assertEquals(m.match(10000), 0)
		self.assertEquals(m.match(10000), 1)
		self.assertEquals(m.match(10000), None)

	def test6(self):
		m = Matcher.Matcher(self.s, "abcd")
		self.assertEquals(m.match(4), None)
		self.assertEquals(m.match(5), 4)

if __name__ == '__main__':
	unittest.main()
